Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JTransforms 2.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.utils
Class IOUtils

    java.lang.Object
      edu.emory.mathcs.utils.IOUtils

    public class IOUtils

extends Object

I/O utilities.

Author:
  Piotr Wendykier (piotr.wendykier@gmail.com)

Method Summary
`static void` | `fillMatrix_1D(int N, double[] m)` Fills 1D matrix with random numbers.
`static void` | `fillMatrix_1D(int N, float[] m)` Fills 1D matrix with random numbers.
`static void` | `fillMatrix_2D(int n1, int n2, double[] m)` Fills 2D matrix with random numbers.
`static void` | `fillMatrix_2D(int n1, int n2, double[][] m)` Fills 2D matrix with random numbers.
`static void` | `fillMatrix_2D(int n1, int n2, float[] m)` Fills 2D matrix with random numbers.
`static void` | `fillMatrix_2D(int n1, int n2, float[][] m)` Fills 2D matrix with random numbers.
`static void` | `fillMatrix_3D(int n1, int n2, int n3, double[] m)` Fills 3D matrix with random numbers.
`static void` | `fillMatrix_3D(int n1, int n2, int n3, double[][][] m)` Fills 3D matrix with random numbers.
`static void` | `fillMatrix_3D(int n1, int n2, int n3, float[] m)` Fills 3D matrix with random numbers.
`static void` | `fillMatrix_3D(int n1, int n2, int n3, float[][][] m)` Fills 3D matrix with random numbers.
`static void` | `showComplex_1D(double[] x, String title)` Displays elements of `x`, assuming that it is 1D complex array.
`static void` | `showComplex_2D(int rows, int columns, double[] x, String title)` Displays elements of `x`, assuming that it is 2D complex array.
`static void` | `showComplex_3D(int n1, int n2, int n3, double[][][] x, String title)` Displays elements of `x`.
`static void` | `showComplex_3D(int n1, int n2, int n3, double[] x, String title)` Displays elements of `x`, assuming that it is 3D complex array.
`static void` | `showComplex_3D(int n1, int n2, int n3, float[] x, String title)` Displays elements of `x`, assuming that it is 3D complex array.
`static void` | `showReal_1D(double[] x, String title)` Displays elements of `x`, assuming that it is 1D real array.
`static void` | `showReal_2D(int n1, int n2, double[] x, String title)` Displays elements of `x`, assuming that it is 2D real array.
`static void` | `showReal_3D(int n1, int n2, int n3, double[][][] x, String title)` Displays elements of `x`.
`static void` | `showReal_3D(int n1, int n2, int n3, double[] x, String title)` Displays elements of `x`, assuming that it is 3D real array.
`static void` | `writeFFTBenchmarkResultsToFile(String filename, int nthread, int niter, boolean doWarmup, boolean doScaling, int[] sizes, double[] times)` Saves benchmark results in a file.
`static void` | `writeToFileComplex_1D(double[] x, String filename)` Saves elements of `x` in a file `filename`, assuming that it is 1D complex array.
`static void` | `writeToFileComplex_1D(float[] x, String filename)` Saves elements of `x` in a file `filename`, assuming that it is 1D complex array.
`static void` | `writeToFileComplex_2D(int n1, int n2, double[][] x, String filename)` Saves elements of `x` in a file `filename`.
`static void` | `writeToFileComplex_2D(int n1, int n2, double[] x, String filename)` Saves elements of `x` in a file `filename`, assuming that it is 2D complex array.
`static void` | `writeToFileComplex_2D(int n1, int n2, float[] x, String filename)` Saves elements of `x` in a file `filename`, assuming that it is 2D complex array.
`static void` | `writeToFileComplex_3D(int n1, int n2, int n3, double[][][] x, String filename)` Saves elements of `x` in a file `filename`.
`static void` | `writeToFileComplex_3D(int n1, int n2, int n3, double[] x, String filename)` Saves elements of `x` in a file `filename`, assuming that it is 3D complex array.
`static void` | `writeToFileReal_1D(double[] x, String filename)` Saves elements of `x` in a file `filename`, assuming that it is 2D real array.
`static void` | `writeToFileReal_1D(float[] x, String filename)` Saves elements of `x` in a file `filename`, assuming that it is 2D real array.
`static void` | `writeToFileReal_2D(int n1, int n2, double[] x, String filename)` Saves elements of `x` in a file `filename`, assuming that it is 2D real array.
`static void` | `writeToFileReal_2D(int n1, int n2, float[] x, String filename)` Saves elements of `x` in a file `filename`, assuming that it is 2D real array.
`static void` | `writeToFileReal_3D(int n1, int n2, int n3, double[] x, String filename)` Saves elements of `x` in a file `filename`, assuming that it is 3D real array.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fillMatrix_1D

    public static void fillMatrix_1D(int N,
                                     double[] m)

  Fills 1D matrix with random numbers.

  Parameters:
    `N` - size
    `m` - 1D matrix

### fillMatrix_1D

    public static void fillMatrix_1D(int N,
                                     float[] m)

  Fills 1D matrix with random numbers.

  Parameters:
    `N` - size
    `m` - 1D matrix

### fillMatrix_2D

    public static void fillMatrix_2D(int n1,
                                     int n2,
                                     double[] m)

  Fills 2D matrix with random numbers.

  Parameters:
    `n1` - rows
    `n2` - columns
    `m` - 2D matrix

### fillMatrix_2D

    public static void fillMatrix_2D(int n1,
                                     int n2,
                                     float[] m)

  Fills 2D matrix with random numbers.

  Parameters:
    `n1` - rows
    `n2` - columns
    `m` - 2D matrix

### fillMatrix_2D

    public static void fillMatrix_2D(int n1,
                                     int n2,
                                     double[][] m)

  Fills 2D matrix with random numbers.

  Parameters:
    `n1` - rows
    `n2` - columns
    `m` - 2D matrix

### fillMatrix_2D

    public static void fillMatrix_2D(int n1,
                                     int n2,
                                     float[][] m)

  Fills 2D matrix with random numbers.

  Parameters:
    `n1` - rows
    `n2` - columns
    `m` - 2D matrix

### fillMatrix_3D

    public static void fillMatrix_3D(int n1,
                                     int n2,
                                     int n3,
                                     double[] m)

  Fills 3D matrix with random numbers.

  Parameters:
    `n1` - slices
    `n2` - rows
    `n3` - columns
    `m` - 3D matrix

### fillMatrix_3D

    public static void fillMatrix_3D(int n1,
                                     int n2,
                                     int n3,
                                     float[] m)

  Fills 3D matrix with random numbers.

  Parameters:
    `n1` - slices
    `n2` - rows
    `n3` - columns
    `m` - 3D matrix

### fillMatrix_3D

    public static void fillMatrix_3D(int n1,
                                     int n2,
                                     int n3,
                                     double[][][] m)

  Fills 3D matrix with random numbers.

  Parameters:
    `n1` - slices
    `n2` - rows
    `n3` - columns
    `m` - 3D matrix

### fillMatrix_3D

    public static void fillMatrix_3D(int n1,
                                     int n2,
                                     int n3,
                                     float[][][] m)

  Fills 3D matrix with random numbers.

  Parameters:
    `n1` - slices
    `n2` - rows
    `n3` - columns
    `m` - 3D matrix

### showComplex_1D

    public static void showComplex_1D(double[] x,
                                      String title)

  Displays elements of `x`, assuming that it is 1D complex array. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `x` -
    `title` -

### showComplex_2D

    public static void showComplex_2D(int rows,
                                      int columns,
                                      double[] x,
                                      String title)

  Displays elements of `x`, assuming that it is 2D complex array. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `rows` -
    `columns` -
    `x` -
    `title` -

### showComplex_3D

    public static void showComplex_3D(int n1,
                                      int n2,
                                      int n3,
                                      double[] x,
                                      String title)

  Displays elements of `x`, assuming that it is 3D complex array. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `n1` -
    `n2` -
    `n3` -
    `x` -
    `title` -

### showComplex_3D

    public static void showComplex_3D(int n1,
                                      int n2,
                                      int n3,
                                      double[][][] x,
                                      String title)

  Displays elements of `x`. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `n1` -
    `n2` -
    `n3` -
    `x` -
    `title` -

### showComplex_3D

    public static void showComplex_3D(int n1,
                                      int n2,
                                      int n3,
                                      float[] x,
                                      String title)

  Displays elements of `x`, assuming that it is 3D complex array. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `n1` -
    `n2` -
    `n3` -
    `x` -
    `title` -

### showReal_1D

    public static void showReal_1D(double[] x,
                                   String title)

  Displays elements of `x`, assuming that it is 1D real array.

  Parameters:
    `x` -
    `title` -

### showReal_2D

    public static void showReal_2D(int n1,
                                   int n2,
                                   double[] x,
                                   String title)

  Displays elements of `x`, assuming that it is 2D real array.

  Parameters:
    `n1` -
    `n2` -
    `x` -
    `title` -

### showReal_3D

    public static void showReal_3D(int n1,
                                   int n2,
                                   int n3,
                                   double[] x,
                                   String title)

  Displays elements of `x`, assuming that it is 3D real array.

  Parameters:
    `n1` -
    `n2` -
    `n3` -
    `x` -
    `title` -

### showReal_3D

    public static void showReal_3D(int n1,
                                   int n2,
                                   int n3,
                                   double[][][] x,
                                   String title)

  Displays elements of `x`.

  Parameters:
    `n1` -
    `n2` -
    `n3` -
    `x` -
    `title` -

### writeToFileComplex_1D

    public static void writeToFileComplex_1D(double[] x,
                                             String filename)

  Saves elements of `x` in a file `filename`, assuming that it is 1D complex array. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `x` -
    `filename` -

### writeToFileComplex_1D

    public static void writeToFileComplex_1D(float[] x,
                                             String filename)

  Saves elements of `x` in a file `filename`, assuming that it is 1D complex array. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `x` -
    `filename` -

### writeToFileComplex_2D

    public static void writeToFileComplex_2D(int n1,
                                             int n2,
                                             double[] x,
                                             String filename)

  Saves elements of `x` in a file `filename`, assuming that it is 2D complex array. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `n1` -
    `n2` -
    `x` -
    `filename` -

### writeToFileComplex_2D

    public static void writeToFileComplex_2D(int n1,
                                             int n2,
                                             float[] x,
                                             String filename)

  Saves elements of `x` in a file `filename`, assuming that it is 2D complex array. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `n1` -
    `n2` -
    `x` -
    `filename` -

### writeToFileComplex_2D

    public static void writeToFileComplex_2D(int n1,
                                             int n2,
                                             double[][] x,
                                             String filename)

  Saves elements of `x` in a file `filename`. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `n1` -
    `n2` -
    `x` -
    `filename` -

### writeToFileComplex_3D

    public static void writeToFileComplex_3D(int n1,
                                             int n2,
                                             int n3,
                                             double[] x,
                                             String filename)

  Saves elements of `x` in a file `filename`, assuming that it is 3D complex array. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `n1` -
    `n2` -
    `n3` -
    `x` -
    `filename` -

### writeToFileComplex_3D

    public static void writeToFileComplex_3D(int n1,
                                             int n2,
                                             int n3,
                                             double[][][] x,
                                             String filename)

  Saves elements of `x` in a file `filename`. Complex data is represented by 2 double values in sequence: the real and imaginary parts.

  Parameters:
    `n1` -
    `n2` -
    `n3` -
    `x` -
    `filename` -

### writeToFileReal_1D

    public static void writeToFileReal_1D(double[] x,
                                          String filename)

  Saves elements of `x` in a file `filename`, assuming that it is 2D real array.

  Parameters:
    `x` -
    `filename` -

### writeToFileReal_1D

    public static void writeToFileReal_1D(float[] x,
                                          String filename)

  Saves elements of `x` in a file `filename`, assuming that it is 2D real array.

  Parameters:
    `x` -
    `filename` -

### writeToFileReal_2D

    public static void writeToFileReal_2D(int n1,
                                          int n2,
                                          double[] x,
                                          String filename)

  Saves elements of `x` in a file `filename`, assuming that it is 2D real array.

  Parameters:
    `n1` -
    `n2` -
    `x` -
    `filename` -

### writeToFileReal_2D

    public static void writeToFileReal_2D(int n1,
                                          int n2,
                                          float[] x,
                                          String filename)

  Saves elements of `x` in a file `filename`, assuming that it is 2D real array.

  Parameters:
    `n1` -
    `n2` -
    `x` -
    `filename` -

### writeToFileReal_3D

    public static void writeToFileReal_3D(int n1,
                                          int n2,
                                          int n3,
                                          double[] x,
                                          String filename)

  Saves elements of `x` in a file `filename`, assuming that it is 3D real array.

  Parameters:
    `n1` -
    `n2` -
    `n3` -
    `x` -
    `filename` -

### writeFFTBenchmarkResultsToFile

    public static void writeFFTBenchmarkResultsToFile(String filename,
                                                      int nthread,
                                                      int niter,
                                                      boolean doWarmup,
                                                      boolean doScaling,
                                                      int[] sizes,
                                                      double[] times)

  Saves benchmark results in a file.

  Parameters:
    `filename` -
    `nthread` -
    `niter` -
    `doWarmup` -
    `doScaling` -
    `times` -
    `sizes` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JTransforms 2.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD